Discussion

2
Replies
211
Views
PRITPAD Member since 2010 12 posts
EY
Posted: February 3, 2016
Last activity: April 6, 2018
Closed

Error while generating bix_keyring file

We are in the process of upgrading BIX 2.3 to BIX 7.1. We imported all the files and setup our config files as per the direction provided. When we are trying to generate a keyring for the bix we are getting below error:

D:\bix>bix_keyring.bat -Dpegarules.config=.\config\prconfig.xml -Dpegarules.logg
ing.configuration=.\config\prologging.xml com.pega.pegarules.exec.internal.util.
crypto.KeyringImpl .\config\priconfig.xml D:\BIX Buildfile: D:\bix\bix_keyring.
xml
Buildfile: d:\bix\bix_keyring.xml

Bix:
[echo] Performing Keyring
[java] Current "user.dir" (default directory) is: d:\bix
[java] Found spec for PegaRULES logging configuration using System property
: config/prlogging.xml
[java] Located PegaRULES logging configuration: jar:file:/D:/bix/lib/pega/p
rresources.jar!/prlogging.xml
[java] Found spec for PegaRULES (V5.x) configuration using System property:
config/prconfig.xml
[java] Located PegaRULES (V5.x) configuration: jar:file:/D:/bix/lib/pega/pr
resources.jar!/prconfig.xml
[java] 2016-02-03 14:43:55,457 [ main] [ ] [
] (b.StringBufferFactoryConstants) INFO - Running with $Id: Stri
ngBufferFactoryConstants.java,v 1.2 2008/04/07 18:08:00 clinb Exp $
73n62e37v11h82
[java] Enter update password: Incorrect password supplied, update not permi
tted

BUILD FAILED
d:\bix\bix_keyring.xml:17: Java returned: 1

Total time: 5 seconds

Firstly the build is failing and secondly I could see that BIX is still refering 5.x version

[java] Found spec for PegaRULES (V5.x) configuration using System property:
config/prconfig.xml
[java] Located PegaRULES (V5.x) configuration: jar:file:/D:/bix/lib/pega/pr
resources.jar!/prconfig.xml

Can anyone please suggest what has to be modify.

Also do we need to modify the prbootstrap and ant file during this upgrade.

**Moderation Team has archived post**

This post has been archived for educational purposes. Contents and links will no longer be updated. If you have the same/similar question, please write a new post.

Low-Code App Development Upgrades
Moderation Team has archived post
Share this page LinkedIn